Kann Python3-kivy nicht installieren

Vom einfachen Programm zum fertigen Debian-Paket, Fragen rund um Programmiersprachen, Scripting und Lizenzierung.
cronoik
Beiträge: 1795
Registriert: 18.03.2012 21:13:42
Lizenz eigener Beiträge: GNU Free Documentation License

Re: Kann Python3-kivy nicht installieren

Beitrag von cronoik » 15.05.2019 16:30:51

Trollkirsche hat geschrieben: ↑ zum Beitrag ↑
15.05.2019 16:06:15
Ja genau, aber dann zeigt er nur installierte Files an...
apt-file unterscheidet nicht zwischen installiert und nicht installierten Paketen. Die gelisteten Pakete hast du wahrscheinlich nicht alle installiert.
Trollkirsche hat geschrieben: ↑ zum Beitrag ↑
15.05.2019 16:06:15
wie kann ich den letzten Error beim installieren vom kivy package mittels pip3 korrigieren? Wie würdest du da nun konkret vorgehen?
Wie ich bereits schrieb benoetigst du noch das Paket Debianlibgl1-mesa-dev (siehe auch dein Zitat meines Beitrags). Ich habe das bei mir mal durchgespielt und du hast damit dann hoffentlich auch die letzte Huerde genommen.
Hilf mit unser Wiki zu verbessern!

Trollkirsche
Beiträge: 331
Registriert: 08.08.2015 15:03:09
Wohnort: Schweiz

Re: Kann Python3-kivy nicht installieren

Beitrag von Trollkirsche » 15.05.2019 17:35:27

cronoik hat geschrieben: ↑ zum Beitrag ↑
15.05.2019 16:30:51
Trollkirsche hat geschrieben: ↑ zum Beitrag ↑
15.05.2019 16:06:15
Ja genau, aber dann zeigt er nur installierte Files an...
apt-file unterscheidet nicht zwischen installiert und nicht installierten Paketen. Die gelisteten Pakete hast du wahrscheinlich nicht alle installiert.
Trollkirsche hat geschrieben: ↑ zum Beitrag ↑
15.05.2019 16:06:15
wie kann ich den letzten Error beim installieren vom kivy package mittels pip3 korrigieren? Wie würdest du da nun konkret vorgehen?
Wie ich bereits schrieb benoetigst du noch das Paket Debianlibgl1-mesa-dev (siehe auch dein Zitat meines Beitrags). Ich habe das bei mir mal durchgespielt und du hast damit dann hoffentlich auch die letzte Huerde genommen.

Code: Alles auswählen

pip3 install cython kivy
Requirement already satisfied: cython in /usr/lib/python3/dist-packages (0.29.2)
Collecting kivy
  Using cached https://files.pythonhosted.org/packages/7d/8b/89d220b7f96dc2662b81319067f679b4cd73cda66f4aa850db5b6c6cfc7a/Kivy-1.10.1.tar.gz
Requirement already satisfied: Kivy-Garden>=0.1.4 in /usr/local/lib/python3.7/dist-packages (from kivy) (0.1.4)
Requirement already satisfied: docutils in /usr/local/lib/python3.7/dist-packages (from kivy) (0.14)
Requirement already satisfied: pygments in /usr/local/lib/python3.7/dist-packages (from kivy) (2.4.0)
Requirement already satisfied: requests in /usr/lib/python3/dist-packages (from Kivy-Garden>=0.1.4->kivy) (2.21.0)
Building wheels for collected packages: kivy
  Running setup.py bdist_wheel for kivy ... done
  Stored in directory: /root/.cache/pip/wheels/34/f6/e9/b788852a1dc5ca691d0173cbbca7dcda2124014192d239cb23
Successfully built kivy
Installing collected packages: kivy
Successfully installed kivy-1.10.1
;)

Ich hab nochmal gl.h per apt-file eingegeben, bin aber nicht auf die Datei libgl1-mesa-dev gestossen. Ich hab keine Ahnung wie du herausgefunden hast, welches package noch fehlt. Wärst du so freundlich, es nochmal für die begriffsstutzigen zu erklären?

Auf alle Fälle vielen vielen Dank euch! Ich hab jetzt nicht nur keine Neuinstallation vornehmen müssen, ich hab jetzt auch noch SID zum Testen (hatte ich noch nie) und kivy wird gleich morgen bei Arbeitsbeginn ausgiebig getestet und gelernt :)

cronoik
Beiträge: 1795
Registriert: 18.03.2012 21:13:42
Lizenz eigener Beiträge: GNU Free Documentation License

Re: Kann Python3-kivy nicht installieren

Beitrag von cronoik » 18.05.2019 02:01:59

Trollkirsche hat geschrieben: ↑ zum Beitrag ↑
15.05.2019 17:35:27
Ich hab nochmal gl.h per apt-file eingegeben, bin aber nicht auf die Datei libgl1-mesa-dev gestossen. Ich hab keine Ahnung wie du herausgefunden hast, welches package noch fehlt. Wärst du so freundlich, es nochmal für die begriffsstutzigen zu erklären?
Also das mit gl.h war da schon abgehakt. Hier noch einmal die Historie:
  1. Fehlermeldung: http://nopaste.debianforum.de/40721 --> Interessanter Teil: "fatal error: Python.h: Datei oder Verzeichnis nicht gefunden" --> Loesung: Debianlibpython3.7-dev
  2. Fehlermeldung: http://nopaste.debianforum.de/40723 --> Interessanter Teil: "fatal error: GL/gl.h: Datei oder Verzeichnis nicht gefunden" --> Loesung: Debianmesa-common-dev
  3. Fehlermeldung: http://nopaste.debianforum.de/40724 --> Interessanter Teil: "/usr/bin/ld: -lGL kann nicht gefunden werden" --> Loesung: Debianlibgl1-mesa-dev
Hilf mit unser Wiki zu verbessern!

Trollkirsche
Beiträge: 331
Registriert: 08.08.2015 15:03:09
Wohnort: Schweiz

Re: Kann Python3-kivy nicht installieren

Beitrag von Trollkirsche » 21.05.2019 14:24:17

cronoik hat geschrieben: ↑ zum Beitrag ↑
18.05.2019 02:01:59
Trollkirsche hat geschrieben: ↑ zum Beitrag ↑
15.05.2019 17:35:27
Ich hab nochmal gl.h per apt-file eingegeben, bin aber nicht auf die Datei libgl1-mesa-dev gestossen. Ich hab keine Ahnung wie du herausgefunden hast, welches package noch fehlt. Wärst du so freundlich, es nochmal für die begriffsstutzigen zu erklären?
Also das mit gl.h war da schon abgehakt. Hier noch einmal die Historie:
  1. Fehlermeldung: http://nopaste.debianforum.de/40721 --> Interessanter Teil: "fatal error: Python.h: Datei oder Verzeichnis nicht gefunden" --> Loesung: Debianlibpython3.7-dev
  2. Fehlermeldung: http://nopaste.debianforum.de/40723 --> Interessanter Teil: "fatal error: GL/gl.h: Datei oder Verzeichnis nicht gefunden" --> Loesung: Debianmesa-common-dev
  3. Fehlermeldung: http://nopaste.debianforum.de/40724 --> Interessanter Teil: "/usr/bin/ld: -lGL kann nicht gefunden werden" --> Loesung: Debianlibgl1-mesa-dev
Okay, vielen Dank dir.

Ist auf deinem System die executable von kivy vorhanden?

cronoik
Beiträge: 1795
Registriert: 18.03.2012 21:13:42
Lizenz eigener Beiträge: GNU Free Documentation License

Re: Kann Python3-kivy nicht installieren

Beitrag von cronoik » 21.05.2019 14:28:42

Trollkirsche hat geschrieben: ↑ zum Beitrag ↑
21.05.2019 14:24:17
Ist auf deinem System die executable von kivy vorhanden?
Lass uns das bitte in deinem anderen Beitrag diskutieren [1].

[1] viewtopic.php?f=34&t=173300
Hilf mit unser Wiki zu verbessern!

Antworten